Bug 740807 - Numpy should provide numpy(x86-32)
Summary: Numpy should provide numpy(x86-32)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: numpy
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 12:18 UTC by Tadej Janež
Modified: 2011-10-09 13:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 13:52:06 UTC


Attachments (Terms of Use)

Description Tadej Janež 2011-09-23 12:18:54 UTC
Description of problem:
Today I received an email saying PyQwt has broken dependencies in fedora-updates-testing-16-x86_64 repository:
http://lists.fedoraproject.org/pipermail/test/2011-September/103046.html

Indeed, executing "repoquery --whatprovides "numpy(x86-64)"" on a F-16 x86_64 machine returns "numpy-1:1.6.0-2.fc16.x86_64".
Meanwhile, executing "repoquery --whatprovides "numpy(x86-32)" returns nothing.


Version-Release number of selected component (if applicable):
numpy-1:1.6.0-2.fc16

How reproducible:
Always.
  
Actual results:
Executing "repoquery --whatprovides "numpy(x86-32)" returns nothing.

Expected results:
Executing "repoquery --whatprovides "numpy(x86-32)" should return "numpy-1:1.6.0-2.fc16.i686".

Additional info:
After installing fedora-release-rawhide package, executing "repoquery --repoid=rawhide --whatprovides "numpy(x86-32)" returns "numpy-1:1.6.0-2.fc16.i686".

Comment 1 Thomas Spura 2011-09-23 13:04:50 UTC
(In reply to comment #0)
> Expected results:
> Executing "repoquery --whatprovides "numpy(x86-32)" should return
> "numpy-1:1.6.0-2.fc16.i686".

Hmm, should be there:
http://koji.fedoraproject.org/koji/rpminfo?rpmID=2582059

Sometimes there are errors in the broken updates report, so I'd say, we wait a bit, till we further investigate this issue...

Could you pass the output of "repoquery --requires numpy" on your fc16 box here, just for completeness, please?

Let's see, if that changes, in the next few days.

Comment 2 Tadej Janež 2011-09-23 13:31:47 UTC
(In reply to comment #1)
>  
> Hmm, should be there:
> http://koji.fedoraproject.org/koji/rpminfo?rpmID=2582059
>

I think numpy is not broken in the F-16 i686 repository, just the numpy's i686 rpm in the F-16 x86_64 repository.

> Sometimes there are errors in the broken updates report, so I'd say, we wait a
> bit, till we further investigate this issue...

Yes, I understand.

Another observation: on my F-15 x86_64 box the results of repoquery are:
[tadej@tlinux64 ~]$ repoquery --whatprovides "numpy(x86-32)"
[tadej@tlinux64 ~]$ repoquery --whatprovides "numpy(x86-64)"
numpy-1:1.5.1-1.fc15.x86_64

This could be a stronger indication of a real bug?
 
> Could you pass the output of "repoquery --requires numpy" on your fc16 box
> here, just for completeness, please?

[tadej@verne ~]$ repoquery --requires numpy
libatlas.so.3()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libgcc_s.so.1()(64bit)
libgfortran.so.3()(64bit)
liblapack.so.3()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libptcblas.so.3()(64bit)
libptf77blas.so.3()(64bit)
libpthread.so.0()(64bit)
libpython2.7.so.1.0()(64bit)
libquadmath.so.0()(64bit)
python(abi) = 2.7
python-nose
rtld(GNU_HASH)

> Let's see, if that changes, in the next few days.

Ok, I agree.

Comment 3 Tadej Janež 2011-09-27 11:01:47 UTC
(In reply to comment #1)
> 
> Let's see, if that changes, in the next few days.

Well, to me, it seems it hasn't changed.

I would like to push an update for PyQwt in F-16, but this bug prevents it.

No package provides numpy(x86-32) on the x86_64 architecture:
http://autoqa.fedoraproject.org/results/195067-autotest/10.5.124.164/depcheck/results/PyQwt-5.2.0-14.fc16..html

Any ideas how to fix that?

Comment 4 Thomas Spura 2011-09-27 13:07:55 UTC
(In reply to comment #3)
> Any ideas how to fix that?

I know too less about multilib bugs. rdieter has opened a ticket in rel-eng.
Let's see, if they know better what's going on:

https://fedorahosted.org/rel-eng/ticket/4938

Comment 5 Jef Spaleta 2011-09-27 16:30:24 UTC
If numpy gets a bump and rebuilt, please someone ping me so I can make sure scipy works correctly. I might need to do some work to convert scipy and matplotlib to being multilib'd correctly in F16+.


-jef

Comment 6 Tadej Janež 2011-10-09 13:52:06 UTC
I just pushed an update of PyQwt to F-16 updates-testing (https://admin.fedoraproject.org/updates/PyQwt-5.2.0-14.fc16.2) and I can confirm this is fixed by the new rebuild of numpy.


Note You need to log in before you can comment on or make changes to this bug.